> This page is optimized for agents. Use the linked Markdown pages and llms.txt indexes for related API content.

# Show AccommodationContent entity.

- Product: Accommodations
- Section: AccommodationContent
- Snapshot: Current
- Method: `GET`
- Path: `/api/accommodations/{accommodationId}/content`

## Path parameters

### `accommodationId`

Type: `number`  
Required: yes  

## Query parameters

### `include[]`

Type: `string[]`  
Required: no  

Additional (relational) data groups to include in the response

#### string

Type: `string`  
Allowed values: `translations`  

## Execute with TypeScript

Package: `@recranet/sdk`  

```ts
import { RecranetApiClient } from "@recranet/sdk";

const client = new RecranetApiClient({ apiKey: process.env.RECRANET_API_KEY! });

const result = await client.accommodations.getContent({
  accommodationId: 0,
});
```

## Execute with curl

```bash
curl "https://app.recranet.com/api/accommodations/$ACCOMMODATIONID/content" \
    -H "X-Api-Key: $RECRANET_API_KEY"
```

## Responses

### Response `200`

Category: success  

Successful response

#### `application/json`

##### Generated example

```json
{
  "id": 0,
  "title": "Zandsteeg 58",
  "metaTitle": "Zandsteeg 58",
  "locale": "locale",
  "subtitle": "Mooi vakantiehuis in Zoetewater",
  "excerpt": "Een geheel gerenoveerd vakantiehuis net buiten het dorp, maar nog altijd maar op 400m van het strand.",
  "description": "description",
  "iframeUrl": "https://www.youtube.com/embed/aqz-KE-bpKQ?modestbranding=1&controls=0",
  "energyLabelEnabled": true,
  "energyLabel": "A++++",
  "customFacilities": [
    "Woonkamer met houtkachel",
    "Groot atelier in de aangrenzende schuur",
    "Badkamer met douche, 2 aparte toiletten"
  ]
}
```

##### Schema

###### AccommodationContent

Type: `AccommodationContent`  

###### `id`

Type: `number`  
Required: yes  

###### `title`

Type: `string`  
Required: yes  

Title shown to user

###### `metaTitle`

Type: `string`  
Required: yes  

Title used in the \<meta\> tag

###### `subtitle`

Type: `string`  
Required: no  

###### `excerpt`

Type: `string`  
Required: no  

###### `description`

Type: `string`  
Required: no  

###### `iframeUrl`

Type: `string`  
Required: no  

###### `energyLabelEnabled`

Type: `boolean`  
Required: no  

###### `energyLabel`

Type: `string`  
Required: no  
Allowed values: `A++++`, `A+++`, `A++`, `A+`, `A`, `B`, `C`, `D`, `E`, `F`, `G`, `N/A`  

###### `customFacilities`

Type: `string[]`  
Required: no  

###### string

Type: `string`  

###### `locale`

Type: `string`  
Required: yes  

## Related representations

- [Human documentation](/accommodations/methods/get-content/)
- [TypeScript Markdown](/accommodations/methods/get-content.md?lang=typescript)
- [curl Markdown](/accommodations/methods/get-content.md?lang=curl)
- [site llms.txt](/llms.txt)
- [product llms.txt](/accommodations/llms.txt)
- [snapshot llms.txt](/accommodations/llms.txt)
